## installation-guide 20130503

=== build/Makefile ===
TARGETS=$(foreach language,$(languages),$(addprefix $(language).,$(architectures)))

.PHONY: $(TARGETS)

all: $(TARGETS)

$(TARGETS): %:
	target=$@ ; \
	lang=$${target%.*} ; \
	lang_id="$$(echo $$lang | tr A-Z a-z | sed "s/_/-/")" ; \
	arch=$${target#*.} ; \
	echo "Architecture: $$arch" ; \
	if [ -n "$$noarchdir" ]; then \
		destsuffix="$$lang" ; \
	else \
		if [ -n "$$web" ] ; then \
			destsuffix="$$arch" ; \
		else \
			destsuffix="$$lang.$$arch" ; \
		fi ; \
	fi ; \
	export destdir=build.out.$$lang.$$arch ; \
	export tempdir=build.tmp.$$lang.$$arch ; \
	./buildone.sh "$$arch" "$$lang" "$$formats" ; \
	mkdir -p "$$destination/$$destsuffix" ; \
	for format in $$formats; do \
		if [ "$$format" = html ]; then \
			mv ./$$destdir/html/* "$$destination/$$destsuffix" ; \
		else \
			# Do not fail because of missing PDF support for some languages \
			if [ -n "$$web" ] ; then \
				mv ./$$destdir/install.$$lang.$$format "$$destination/$$destsuffix/install.$$format.$$lang_id" 2>/dev/null || true ; \
			else \
				mv ./$$destdir/install.$$lang.$$format "$$destination/$$destsuffix" 2>/dev/null || true ; \
			fi ; \
		fi ; \
	done ; \
	./clear.sh

## installation-guide 20060102ubuntu7

=== debian/changelog ===
installation-guide (20060102ubuntu7) dapper; urgency=low

  * build/entities/common.ent, en/hardware/memory-disk-requirements.xml:
    Update requirements for Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 May 2006 16:40:18 +0100

installation-guide (20060102ubuntu6) dapper; urgency=low

  * build/entities/common.ent: Set release to "6.06 LTS".

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 May 2006 16:01:34 +0100

installation-guide (20060102ubuntu5) dapper; urgency=low

  * Document new passwd/root-login question (user-setup 1.1).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 May 2006 15:56:54 +0100

installation-guide (20060102ubuntu4) dapper; urgency=low

  * Rename doc-base.TEMPLATE to TEMPLATE.doc-base.  Malone #28512

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue, 25 Apr 2006 15:09:29 +0200

installation-guide (20060102ubuntu3) dapper; urgency=low

  * en/preparing/minimum-hardware-reqts.xml: Drop minimum memory requirement
    to 32MB.
  * en/appendix/preseed.xml: Note that an empty preseed file is equivalent
    to a normal manual installation (thanks, Nathan Sutton).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 14 Mar 2006 11:22:09 +0000

installation-guide (20060102ubuntu2) dapper; urgency=low

  * debian/control: Comment out stanzas for non-Ubuntu architectures rather
    than changing the Architecture to disabled, to avoid the .dsc ending up
    with "Architecture: any".
  * build/buildone.sh: Add /usr/share/xml/declaration/xml.dcl to openjade
    invocation to work around Debian bug #345478.
  * Build-depend on libhtml-parser-perl for build/preseed.pl.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 11 Jan 2006 14:32:54 +0000

installation-guide (20060102ubuntu1) dapper; urgency=low

  * Merge changes from debian-installer in breezy:
    - Build only English (for now, until we figure out how to avoid trashing
      translations quite so badly with Ubuntu branding etc.).
    - Build only Ubuntu architectures (amd64, hppa, i386, ia64, powerpc,
      sparc).
    - Extensive (although possibly incomplete) Ubuntu branding, adjustments
      for our mirror layout, etc.
    - Describe X.Org rather than XFree86.
    - Add "Ubuntu and Debian" and "What is Ubuntu?" section, text borrowed
      from the Ubuntu web site. Disable the "What is Debian GNU/Linux?"
      section.
    - Direct installation reports to ubuntu-users for now.
    - Adjust various disk space requirements. Talk about the default Ubuntu
      desktop rather than Debian tasks.
    - Document mounting /sys in various places.
    - Unset supports-floppy-boot for all our architectures.
    - Add a few more supports-floppy-boot and bootable-usb conditionals.
    - Change references to /var/log/debian-installer to just
      /var/log/installer.
    - Disable discussion of MTA and PPP configuration.
    - Document our root password and sudo arrangements.
    - Talk about powerpc64 rather than power3 and power4.
    - Document netboot-style USB images. Still mention the hd-media images,
      but they're downplayed since many USB sticks are too small for a full
      Ubuntu ISO image.
    - Document Kickstart installations (currently only the basics, a
      reference to Red Hat's documentation, and the differences from
      Anaconda).
    - Mention /srv in the description of the filesystem hierarchy.
    - Document archive-copier.
  * Bump kernelversion to 2.6.15.
  * Bump release version and names for Dapper.
  * Bump x11ver to 7.0.
  * Update URL to README.mouse.
  * Update preseeding information.
  * Hardcode dapper in example preseed file, since the script that extracts
    example-preseed.txt doesn't expand entities like &releasename; (closes:
    Ubuntu #17578).
  * Update GNOME version to 2.12.
  * Update archive-copier documentation to reflect the new single-stage
    installer arrangements.
  * Re-enable documentation of iso-scan.
  * Adjust packaging to build the manual only for English and for Ubuntu
    architectures. Add installation-guide-amd64.
  * Hardcode SUITE to etch (yes, really; this makes sure features introduced
    upstream after sarge are documented).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  9 Jan 2006 12:56:26 +0000

installation-guide (20060102) unstable; urgency=low

  [ Frans Pop ]
  * Fix build error caused by description for s390. Closes: #337382.
  * Update kernel package names and kernel versions per architecture.
  * Move documentation on preseeding to separate appendix for etch.
  * Use new, more flexible perl script to extract example preseed file from
    new appendix.
  * Set proper POT-Creation-Date when generating new POT files.
  * New translations started: Polish, Swedish, Vietnamese.
  * First release of Greek and Korean translations.
  * Exclude Traditional Chinese translation as it was not updated.
  * Switch release name to Etch (3.1+δ).

  [ Joey Hess ]
  * Update installation report template and instructions for etch.

 -- Frans Pop <fjp@debian.org>  Mon,  2 Jan 2006 18:44:59 +0100

installation-guide (20051025) unstable; urgency=low

  * Mention in copyright that full GPL is included in the manual.
    Closes: #334925
  * Register installed documents with doc-base.
  * Minor updates in English text and translations.

 -- Frans Pop <fjp@debian.org>  Tue, 25 Oct 2005 17:37:25 +0200

installation-guide (20051019) unstable; urgency=low

  [ Joey Hess ]
  * Split off from the debian-installer source package.
    See the changelog for debian-installer for older changelog entries.

  [ Frans Pop ]
  * Change over to building arch all packages in section doc. Build separate
    packages for each arch containing all translations.
  * Change package name to installation-guide.
  * Include translations already available on official website.

 -- Frans Pop <fjp@debian.org>  Tue, 18 Oct 2005 17:12:35 +0200

=== debian/control ===
Source: installation-guide
Section: doc
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>
Standards-Version: 3.6.2
Build-Depends: debhelper (>= 4), docbook, docbook-xml, docbook-xsl, xsltproc, gawk, w3m, poxml, jadetex, openjade | openjade1.3, docbook-dsssl, gs-common, libhtml-parser-perl
# This comment can also be used to generate a Build-Depends line, by
# running the debian/genbuilddeps program. So put each build dep on its
# own line, prefixed by " - " and to comment out a build dep, start the
# line with two hashes. And don't edit the Build-Depends line above by hand.
#
#	- debhelper (>= 4)
#		Of course.
#	- docbook
#	- docbook-xml
#	- docbook-xsl
#	- xsltproc
#		The manual is a docbook XML document, so needs these to
#		build.
#	- gawk
#	- libhtml-parser-perl
#		Used as part of the manual build process.
#	- w3m
#		Used to generate plain text manual from html.
#	- poxml
#		Translations of the manual are done in po files via poxml.
#	- jadetex
#	- openjade | openjade1.3
#	- docbook-dsssl
#		Used for producing pdf and ps files.
#	- gs-common
#		For pdfs.

#Package: installation-guide-alpha
#Architecture: all
#Conflicts: installation-guide
#Description: Ubuntu installation guide
# This package contains the Ubuntu installation guide for the Alpha
# architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-amd64
Architecture: all
Conflicts: installation-guide
Description: Ubuntu installation guide
 This package contains the Ubuntu installation guide for the AMD64
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

#Package: installation-guide-arm
#Architecture: all
#Conflicts: installation-guide
#Description: Ubuntu installation guide
# This package contains the Ubuntu installation guide for the ARM
# architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-hppa
Architecture: all
Conflicts: installation-guide
Description: Ubuntu installation guide
 This package contains the Ubuntu installation guide for the PA-RISC
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-i386
Architecture: all
Conflicts: installation-guide
Description: Ubuntu installation guide
 This package contains the Ubuntu installation guide for the Intel x86
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-ia64
Architecture: all
Conflicts: installation-guide
Description: Ubuntu installation guide
 This package contains the Ubuntu installation guide for the IA-64
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

#Package: installation-guide-m68k
#Architecture: all
#Conflicts: installation-guide
#Description: Ubuntu installation guide
# This package contains the Ubuntu installation guide for the Motorola 680x0
# architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.

#Package: installation-guide-mips
#Architecture: all
#Conflicts: installation-guide
#Description: Ubuntu installation guide
# This package contains the Ubuntu installation guide for the Mips
# architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.

#Package: installation-guide-mipsel
#Architecture: all
#Conflicts: installation-guide
#Description: Ubuntu installation guide
# This package contains the Ubuntu installation guide for the Mipsel
# architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-powerpc
Architecture: all
Conflicts: installation-guide
Description: Ubuntu installation guide
 This package contains the Ubuntu installation guide for the PowerPC
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

#Package: installation-guide-s390
#Architecture: all
#Conflicts: installation-guide
#Description: Ubuntu installation guide
# This package contains the Ubuntu installation guide for the S/390
# architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-sparc
Architecture: all
Conflicts: installation-guide
Description: Ubuntu installation guide
 This package contains the Ubuntu installation guide for the Sparc
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

=== debian/rules ===
#!/usr/bin/make -f

ARCHS=$(shell cd debian; ./getfromlist archlist)
LANGS=$(shell cd debian; ./getfromlist langlist)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
#SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
SUITE=etch

MANTMP=$(shell pwd)/debian/manual

clean:
	dh_testdir
	dh_testroot
	dh_clean build-stamp
	rm -rf $(MANTMP)
	dh_clean doc-base-stamp
	rm -rf debian/installation-guide-*.doc-base.*
	rm -rf build/build.out build/build.tmp build/build.po

doc-base: doc-base-stamp
doc-base-stamp:
	@echo $(ARCHS)
	rm -f $@
	rm -rf debian/installation-guide-*.doc-base.*
	set -e && cd debian && \
	    for arch in $(ARCHS) ; do \
		for lang in $(LANGS) ; do \
		    arch_full="$$(grep "^$$arch[[:space:]]" archlist | cut -f 2)" ; \
		    lang_full="$$(grep "^$$lang[[:space:]]" langlist | cut -f 2)" ; \
		    sed -e "s:%ARCH%:$$arch:g" -e "s:%ARCH_FULL%:$$arch_full:g" \
			-e "s:%LANG%:$$lang:g" -e "s:%LANG_FULL%:$$lang_full:g" \
			TEMPLATE.doc-base > installation-guide-$$arch.doc-base.$$lang ; \
		done ; \
	    done
	touch $@

build: build-stamp
build-stamp:
	rm -f $@
	-rm -rf $(MANTMP)
	set -e && cd build && \
	    for arch in $(ARCHS) ; do \
		official_build=1 manual_release=$(SUITE) \
		architectures="$$arch" languages="$(LANGS)" \
		destination=$(MANTMP)/$$arch noarchdir=1 \
		./build.sh ; \
	    done
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i
	
binary-arch:

binary-indep: install doc-base
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	for arch in $(ARCHS) ; do \
		dh_installdocs -p installation-guide-$$arch $(MANTMP)/$$arch/* ; \
	done
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i -- -Vkernel:Package='$(KERNELPACKAGE)'
	dh_builddeb -i

	# Create a tarball for each arch for use in debian-cd
	# Note: these should be uploaded manually
	#set -e && cd $(MANTMP) && \
	#    for arch in $(ARCHS) ; do \
	#	tarname=di-manual-$${arch}_$(VERSION).tar.gz ; \
	#	cd $$arch ; \
	#	tar czf ../../../../$$tarname . ; \
	#	cd .. ; \
	#    done

binary: binary-indep binary-arch 
.PHONY: build build-images clean binary-indep binary-arch binary install

## installation-guide 20060726ubuntu5

=== debian/changelog ===
installation-guide (20060726ubuntu5) edgy; urgency=low

  * en/appendix/preseed.xml, en/using-d-i/modules/lilo-installer.xml: Device
    name updates for no-more-devfs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Oct 2006 21:50:19 +0100

installation-guide (20060726ubuntu4) edgy; urgency=low

  * Various fixes to chroot-install guide (see Malone #64765):
    - Adjust chroot-install guide to take account of debootstrap being
      Architecture: all now (backported from trunk).
    - Reconfigure console-setup, not console-data.
    - Point to language packs rather than suggesting reconfiguring locales.
    - Add a bit more advice about installing grub.
    - Fix tasksel instructions.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  9 Oct 2006 14:39:56 +0100

installation-guide (20060726ubuntu3) edgy; urgency=low

  * Backport from trunk:
    - Fix incorrect documentation on preseeding additional apt sources.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  9 Oct 2006 14:17:50 +0100

installation-guide (20060726ubuntu2) edgy; urgency=low

  * Update Kickstart documentation for %packages and keyboard changes in
    Edgy.
  * Update keyboard preseeding documentation for console-setup.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 25 Sep 2006 11:47:20 +0100

installation-guide (20060726ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.
  * Remove archive-copier documentation.
  * Bump kernelversion to 2.6.17.
  * Bump release version and names for Edgy.
  * Bump x11ver to 7.1.
  * Switch back to documenting tasksel, and update some places with Ubuntu
    task information.
  * Update GNOME version to 2.16.
  * Update Ubuntu branding. Fill in "Further Reading" section with some
    useful Ubuntu-related links.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun,  6 Aug 2006 17:35:34 +0100

installation-guide (20060726) unstable; urgency=low

  [ Joey Hess ]
  * Update kernel building section to conditionalise some more 2.4 kernel
    stuff.
  * Suggest passing --initrd to make-kpkg since the docs say nothing about
    compiling disk drivers into the kernel.
  * Document new passwd/root-login setting.
  * Booting a USB stick via a boot floppy is not supported by current
    installer images.
  * Update preseeding docs to use task names, not short descriptions, since
    that will work now and is more convenient for preseeding.
  * Document the kde-desktop and gnome-desktop subtasks.

  [ Frans Pop ]
  * Various corrections suggested by Clytie Siddall.
  * chroot-install:
    - add /etc/hosts to be created for network configuration (closes: #364517)
    - make kernel/linux-image variable (closes: #345482)
  * Document -- command line option for passing parameters to boot loader
    configuration (closes: #309889).
  * Switch Finnish from XML-based to PO-based translation.
  * Bring numbering and layout of GPL more in line with original. With thanks
    to Holger Wansing.
  * Add functionality to include optional paragraphs in translations.
    Initially two have been defined:
    - a paragraph in bookinfo for information about the translation;
    - a note in appendix/gpl.xml required with unofficial GPL translations.

  [ Joey Hess ]
  * Document new preseed/run setting.
  * Prebaseconfig renamed to finish-install, which changes some documentation,
    and. notably, renames one of the xml files.
  * hd-media size changed to 256 mb.
  * Document new aliases added in preseed 1.17 for common debconf boot
    parameters: fb, url, file, locale, interface.

  [ Frans Pop ]
  * Document guided partitioning using LVM and update partitioning section.

  [ Martin Michlmayr ]
  * The RiscPC flavour is now known as "rpc" rather than "riscpc".
  * As of 2.6, r4k-ip22 also rupports r5k machines do the r5k-ip22 flavour
    has been dropped.

  [ Holger Levsen ]
  * Added the remaining suggestions about nubus and non-powerpc macs
    (closes: #364546).
  * Restructured the chapter about powerpc supported hardware, moved
    unsupported machines to the end.
  * Updated the information about existing kernel flavours.

  [ Miroslav Kure ]
  * Document installation to encrypted partitions (partman-crypto).
  * Update XOrg to 7.0.

  [ Frans Pop ]
  * Etch has been assigned version 4.0.
  * Update kernel versions to 2.6.16.
  * Base languages to be built for website on list of release languages.
  * arm, mips and mipsel switched to 2.6 kernels.
  * Enable Brazillian Portuguese and Vietnamese translation for release.
  * Disable Greek translation as it is too incomplete.

 -- Frans Pop <fjp@debian.org>  Wed, 26 Jul 2006 07:27:52 +0200

installation-guide (20060427) unstable; urgency=low

  [ Joey Hess ]
  * Update preseeding docs for base-config removal.
  * Add documentation of how to change apt-setup security source with
    preseeding.
  * Remove the sarge preseeding docs.
  * Remove mentions of base-config and move base-config stuff to elsewhere.
  * Add documentation of apt-setup, user-setup, clock-setup, tzsetup, and
    pkgsel.
  * Change some references to tty3 (messages) to instead refer to tty4
    (syslog).
  * Change references to /var/log/debian-installer to just /var/log/installer.
  * Remove docs for baseconfig-udeb; going away with base-config.
  * Removed various bits of sarge cruft when it made things easier.

  [ Frans Pop ]
  * Change default build to Etch.
  * Remove all Sarge specific content and make Etch specific content default.
  * Delete some obsolete entities.
  * Change references from package d-i-manual to package installation-guide.
  * Explicitly specify XML declaration as required by openjade 1.4devel1-15
    (closes: #360241).
  * Update appendix on chroot installs:
    - mention that debootstrap also requires basic Unix/Linux commands;
    - comment out link to outdated rpm packages of debootstrap.

  [ Colin Watson ]
  * Add a few more supports-floppy-boot and bootable-usb conditionals to
    make it easier to turn all this off in rebuilds of the manual.


=== debian/rules ===
--- 
+++ 
@@ -66,7 +66,7 @@
 	dh_compress -i
 	dh_fixperms -i
 	dh_installdeb -i
-	dh_gencontrol -i -- -Vkernel:Package='$(KERNELPACKAGE)'
+	dh_gencontrol -i
 	dh_builddeb -i
 
 	# Create a tarball for each arch for use in debian-cd

## installation-guide 20060726ubuntu6

=== debian/changelog ===
installation-guide (20060726ubuntu6) feisty; urgency=low

  * en/appendix/preseed.xml: Document console-setup/ask_detect.
  * en/appendix/preseed.xml: Don't claim that devfs paths are allowed (the
    preseed examples were correct, but the surrounding text was wrong;
    LP: #65493).
  * build/buildweb.sh, build/entities/urls.ent,
    en/preparing/needed-info.xml: Fix links to web copies of installation
    manual (LP: #53691) and example preseed file (LP: #78711).
  * Bump kernelversion to 2.6.20.
  * Bump release version and names for Feisty.
  * Update GNOME version to 2.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 18 Jan 2007 22:12:08 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>
 Standards-Version: 3.6.2
-Build-Depends: debhelper (>= 4), docbook, docbook-xml, docbook-xsl, xsltproc, gawk, w3m, poxml, jadetex, openjade | openjade1.3, docbook-dsssl, gs-common, libhtml-parser-perl
+Build-Depends: debhelper (>= 4), docbook, docbook-xml, docbook-xsl, xsltproc, gawk, libhtml-parser-perl, w3m, poxml, jadetex, openjade | openjade1.3, docbook-dsssl, gs-common
 # This comment can also be used to generate a Build-Depends line, by
 # running the debian/genbuilddeps program. So put each build dep on its
 # own line, prefixed by " - " and to comment out a build dep, start the

## installation-guide 20070319

=== debian/changelog ===
installation-guide (20070319) unstable; urgency=low

  [ Frans Pop ]
  * Cleaned up definitions of some entities and removed unused ones.
  * Implement infrastructure that allows entities to be translated.
    Thanks to Miroslav Kure for providing the patch. Closes: #344048, #406515.
  * Disable Korean PDF/PS formats for builds for the website.
  * appendix/files: update information about mouse configuration, based on a
    patch from Peter Samuelson (for which thanks). Closes: #406290.
  * boot-installer, appendix/preseed: document preseed/interactive parameter.

  [ Joey Hess ]
  * Fix package name for installation-reports, and manual unfuzzy of all
    translations. Closes: #408408

  [ Frans Pop ]
  * welcome:
    - make links to FSF and GNU more consistent (closes: #410317)
    - we do not necessarily share the ideals of the FSF (closes: #410129)
    Thanks to Francesco Poli for suggesting these changes.
  * using-d-i: guided partitioning now creates swap inside LVM.
    Thanks to Francesco Poli. Closes: #411399.
  * Document installs over PPPoE. Based on a text proposed by Eddy Petrisor.
    Closes: #408340.
  * installation-howto: update for the integration of base-config into D-I.
  * appendix/preseed:
    - as exim no longer asks any questions during installations, there is no
      real need to document it anymore
    - add link to Philip Hand's website as it contains many creative examples
    - document how to select the ftp protocol during mirror selection
    - document how to install from CD/DVD only (and not use a network mirror)
  * Update base/standard system and task sizes.

  [ Joey Hess ]
  * Document debian-installer/allow_unauthenticated.

  [ Wouter Verhelst ]
  * Update mac68k installation after notes from Finn Thain, upstream mac68k
    kernel hacker.

  [ Frans Pop ]
  * Replace entity in example-preseed.txt file. Thanks to Geert Stappers for
    spotting the error. Closes: #413257.

 -- Frans Pop <fjp@debian.org>  Mon, 19 Mar 2007 15:00:12 +0100

installation-guide (20070122) unstable; urgency=low

  * Enable Catalan, Brazillian, Korean and Spanish again.
  * Enable new Hungarian translation.

 -- Frans Pop <fjp@debian.org>  Mon, 22 Jan 2007 12:41:57 +0100

installation-guide (20070115) unstable; urgency=low

  [ Colin Watson ]
  * Document new pkgsel/include setting.
  * Fix incorrect documentation on preseeding additional apt sources.
  * Fix typo in hppa hardware support documentation
    (https://launchpad.net/bugs/55164).
  * Adjust chroot-install guide to take account of debootstrap being
    Architecture: all now (https://launchpad.net/bugs/64765).

  [ Frans Pop ]
  * Various corrections suggested by Clytie Siddall and Holger Wansing.
    Closes: #378404, #370484, #370425.
  * Update instructions on how to set module parameters for PLIP installation.
  * Update chroot install instructions to use aptitude instead of apt-get.
  * Add /srv in overview of directory tree in partitioning appendix.
  * Update section on partitioning using LVM to reflect recent changes.
  * Apply various patches by or based on suggestions from Nathanael Nerode.
    Some of the bigger changes include:
    - Update of processor support for the i386 architecture.
    - Update information on setting up a RARP server.
  * Add variant for the AMD64 architecture. Closes: #305977.
  * Suppress warnings about missing IDs for sections and such.
  * Reorganize supported hardware table; i386 no longer has flavors.
  * Document SMP-alternatives as one of the variants of SMP support.
  * Document how to shut down the system. Based on patch from Holger Levsen.
    Closes: #248067.

  [ Miroslav Kure ]
  * Update information about booting with encrypted partitions.
    Closes: #378651.

  [ Joey Hess ]
  * Update preseeding docs to document listing more than one disk for
    partman-auto/disk and grub-installer/bootdev

  [ Changwoo Ryu ]
  * Add support for Korean PDF output. Requires latex-hangul-ucs-hlatex.
    Closes: #381657.

  [ David Härdeman ]
  * Update preseeding documentation for partman-auto.

  [ Frans Pop ]
  * Correct error for alpha netboot installations. Thanks to Aurélien Géröme.
    Closes: #386591.
  * Correct number of release arches. Thanks to Holger Wansing. Closes: #384321.
  * Minor corrections suggested by Malcolm Parsons. Closes: #388138.
  * Document new boot parameters theme and directfb/hw-accel.
  * Remove now obsolete distinction between classic and common kpkg.
  * Update all arches to kernel version 2.6.17.
  * Set default value for manual_release in build wrapper scripts.
  * Add new section in preseeding appendix on partman-auto-raid. Not included
    in preseed text file as it is still somewhat experimental.
  * Document changes in guided partitioning and added encrypted LVM support.
  * Disable m68k for official builds as it is not a release architecture.
  * buildweb.sh: use 'mv -f' to avoid errors during builds on the webserver.
  * Minor corrections suggested by Clytie Siddall. Closes: #394413, #394471.
  * Update task sizes as per D-I RC1.
  * New troubleshooting section on how to deal with CD-ROM related problems.
  * Document how to pass parameters to kernel modules on boot.
  * Document how to install KDE instead of Gnome in the section on pkgsel.

  [ Joey Hess ]
  * Update for recent floppy changes.
  * Remove hardcoded paths to executables in buildone.sh.
  * Set HOME to a temporary directory before running w3m, to avoid it
    trying to write to a home directory that may not exist on the buildds.
    (See #393641)
  * Update the installation report template to match current one in
    installation-report.

  [ Philip Hands ]
  * Clarify how -- affects which parameters end up in the target system's
    bootloader's command line.

  [ Joey Hess ]
  * Applied Phil's auto mode documentation patch, edited it, and moved
    some things around for clarity. Closes: #395910
  * Document auto=true boot parameter.

  [ Frans Pop ]


=== debian/control ===
Source: installation-guide
Section: doc
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>
Standards-Version: 3.6.2
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/manual
Build-Depends: debhelper (>= 4), docbook, docbook-xml, docbook-xsl, xsltproc, gawk, libhtml-parser-perl, w3m, poxml, jadetex, openjade | openjade1.3, docbook-dsssl, gs-common, latex-hangul-ucs-hlatex
# This comment can also be used to generate a Build-Depends line, by
# running the debian/genbuilddeps program. So put each build dep on its
# own line, prefixed by " - " and to comment out a build dep, start the
# line with two hashes. And don't edit the Build-Depends line above by hand.
#
#	- debhelper (>= 4)
#		Of course.
#	- docbook
#	- docbook-xml
#	- docbook-xsl
#	- xsltproc
#		The manual is a docbook XML document, so needs these to
#		build.
#	- gawk
#	- libhtml-parser-perl
#		Used as part of the manual build process.
#	- w3m
#		Used to generate plain text manual from html.
#	- poxml
#		Translations of the manual are done in po files via poxml.
#	- jadetex
#	- openjade | openjade1.3
#	- docbook-dsssl
#		Used for producing pdf and ps files.
#	- gs-common
#		For pdfs.
#	- latex-hangul-ucs-hlatex
#		For Korean pdf

Package: installation-guide-alpha
Architecture: all
Conflicts: installation-guide
Description: Debian installation guide
 This package contains the Debian installation guide for the Alpha
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-amd64
Architecture: all
Conflicts: installation-guide
Description: Debian installation guide
 This package contains the Debian installation guide for the AMD64
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-arm
Architecture: all
Conflicts: installation-guide
Description: Debian installation guide
 This package contains the Debian installation guide for the ARM
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-hppa
Architecture: all
Conflicts: installation-guide
Description: Debian installation guide
 This package contains the Debian installation guide for the PA-RISC
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-i386
Architecture: all
Conflicts: installation-guide
Description: Debian installation guide
 This package contains the Debian installation guide for the Intel x86
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-ia64
Architecture: all
Conflicts: installation-guide
Description: Debian installation guide
 This package contains the Debian installation guide for the IA-64
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-mips
Architecture: all
Conflicts: installation-guide
Description: Debian installation guide
 This package contains the Debian installation guide for the Mips
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-mipsel
Architecture: all
Conflicts: installation-guide
Description: Debian installation guide
 This package contains the Debian installation guide for the Mipsel
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-powerpc
Architecture: all
Conflicts: installation-guide
Description: Debian installation guide
 This package contains the Debian installation guide for the PowerPC
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-s390
Architecture: all
Conflicts: installation-guide
Description: Debian installation guide
 This package contains the Debian installation guide for the S/390
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-sparc
Architecture: all
Conflicts: installation-guide
Description: Debian installation guide
 This package contains the Debian installation guide for the Sparc
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,10 @@
 LANGS=$(shell cd debian; ./getfromlist langlist)
 VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
-#SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
+SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
+ifeq (${SUITE},unstable)
 SUITE=etch
+endif
 
 MANTMP=$(shell pwd)/debian/manual
 
@@ -30,7 +32,7 @@
 		    lang_full="$$(grep "^$$lang[[:space:]]" langlist | cut -f 2)" ; \
 		    sed -e "s:%ARCH%:$$arch:g" -e "s:%ARCH_FULL%:$$arch_full:g" \
 			-e "s:%LANG%:$$lang:g" -e "s:%LANG_FULL%:$$lang_full:g" \
-			TEMPLATE.doc-base > installation-guide-$$arch.doc-base.$$lang ; \
+			doc-base.TEMPLATE > installation-guide-$$arch.doc-base.$$lang ; \
 		done ; \
 	    done
 	touch $@
@@ -52,22 +54,22 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-	dh_installdirs -i
+	dh_installdirs
 	
 binary-arch:
 
 binary-indep: install doc-base
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs -i
+	dh_installchangelogs
 	for arch in $(ARCHS) ; do \
 		dh_installdocs -p installation-guide-$$arch $(MANTMP)/$$arch/* ; \
 	done
-	dh_compress -i
-	dh_fixperms -i
-	dh_installdeb -i
-	dh_gencontrol -i
-	dh_builddeb -i
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_gencontrol
+	dh_builddeb
 
 	# Create a tarball for each arch for use in debian-cd
 	# Note: these should be uploaded manually

## installation-guide 20070319ubuntu2

=== debian/changelog ===
installation-guide (20070319ubuntu2) gutsy; urgency=low

  * Correct URLs pointing to example-preseed.txt (LP: #135502).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 30 Aug 2007 13:00:45 +0100

installation-guide (20070319ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Build only English (for now, until we figure out how to avoid trashing
      translations quite so badly with Ubuntu branding etc.).
    - Build only Ubuntu architectures (amd64, hppa, i386, ia64, powerpc,
      sparc).
    - Extensive (although possibly incomplete) Ubuntu branding, adjustments
      for our mirror layout, etc.
    - Add "Ubuntu and Debian" and "What is Ubuntu?" section, text borrowed
      from the Ubuntu web site. Disable the "What is Debian GNU/Linux?"
      section.
    - Direct installation reports to ubuntu-users for now.
    - Adjust various memory and disk space requirements. Talk about the
      default Ubuntu desktop and Ubuntu tasks rather than Debian tasks.
    - Document mounting /sys in various places.
    - Unset supports-floppy-boot for all our architectures.
    - Add a few more supports-floppy-boot and bootable-usb conditionals.
    - Document our root password and sudo arrangements.
    - Document netboot-style USB images. Still mention the hd-media images,
      but they're downplayed since many USB sticks are too small for a full
      Ubuntu ISO image.
    - Document Kickstart installations (currently only the basics, a
      reference to Red Hat's documentation, and the differences from
      Anaconda).
    - Note that an empty preseed file is equivalent to a normal manual
      installation.
    - Rename doc-base.TEMPLATE to TEMPLATE.doc-base.
    - Update keyboard preseeding documentation for console-setup.
    - Update chroot-install guide for console-setup and language packs; add
      a bit more advice about installing grub.
    - Remove text talking about devfs-style device names, which are no
      longer supported.
    - Fix links to web copies of installation manual and example preseed
      file.
  * Bump kernelversion to 2.6.22.
  * Bump x11ver to 7.3.
  * Bump GNOME version to 2.20.
  * Bump release version and names for Gutsy (LP: #119177).
  * Refer to the standard task rather than ubuntu-standard.
  * Disable documentation of the GTK frontend.
  * Remove latex-hangul-ucs-hlatex build-dependency, as we don't build for
    Korean.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Jul 2007 15:52:44 +0100

=== debian/control ===
Source: installation-guide
Section: doc
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>
Standards-Version: 3.6.2
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/manual
Build-Depends: debhelper (>= 4), docbook, docbook-xml, docbook-xsl, xsltproc, gawk, libhtml-parser-perl, w3m, poxml, jadetex, openjade | openjade1.3, docbook-dsssl, gs-common
# This comment can also be used to generate a Build-Depends line, by
# running the debian/genbuilddeps program. So put each build dep on its
# own line, prefixed by " - " and to comment out a build dep, start the
# line with two hashes. And don't edit the Build-Depends line above by hand.
#
#	- debhelper (>= 4)
#		Of course.
#	- docbook
#	- docbook-xml
#	- docbook-xsl
#	- xsltproc
#		The manual is a docbook XML document, so needs these to
#		build.
#	- gawk
#	- libhtml-parser-perl
#		Used as part of the manual build process.
#	- w3m
#		Used to generate plain text manual from html.
#	- poxml
#		Translations of the manual are done in po files via poxml.
#	- jadetex
#	- openjade | openjade1.3
#	- docbook-dsssl
#		Used for producing pdf and ps files.
#	- gs-common
#		For pdfs.

#Package: installation-guide-alpha
#Architecture: all
#Conflicts: installation-guide
#Description: Ubuntu installation guide
# This package contains the Ubuntu installation guide for the Alpha
# architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-amd64
Architecture: all
Conflicts: installation-guide
Description: Ubuntu installation guide
 This package contains the Ubuntu installation guide for the AMD64
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

#Package: installation-guide-arm
#Architecture: all
#Conflicts: installation-guide
#Description: Ubuntu installation guide
# This package contains the Ubuntu installation guide for the ARM
# architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-hppa
Architecture: all
Conflicts: installation-guide
Description: Ubuntu installation guide
 This package contains the Ubuntu installation guide for the PA-RISC
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-i386
Architecture: all
Conflicts: installation-guide
Description: Ubuntu installation guide
 This package contains the Ubuntu installation guide for the Intel x86
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-ia64
Architecture: all
Conflicts: installation-guide
Description: Ubuntu installation guide
 This package contains the Ubuntu installation guide for the IA-64
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

#Package: installation-guide-mips
#Architecture: all
#Conflicts: installation-guide
#Description: Ubuntu installation guide
# This package contains the Ubuntu installation guide for the Mips
# architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.

#Package: installation-guide-mipsel
#Architecture: all
#Conflicts: installation-guide
#Description: Ubuntu installation guide
# This package contains the Ubuntu installation guide for the Mipsel
# architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-powerpc
Architecture: all
Conflicts: installation-guide
Description: Ubuntu installation guide
 This package contains the Ubuntu installation guide for the PowerPC
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.

#Package: installation-guide-s390
#Architecture: all
#Conflicts: installation-guide
#Description: Ubuntu installation guide
# This package contains the Ubuntu installation guide for the S/390
# architecture, in a variety of languages.
# .
# A shorter reference, the installation HOWTO, is included in an appendix.

Package: installation-guide-sparc
Architecture: all
Conflicts: installation-guide
Description: Ubuntu installation guide
 This package contains the Ubuntu installation guide for the Sparc
 architecture, in a variety of languages.
 .
 A shorter reference, the installation HOWTO, is included in an appendix.
